if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
class Index extends ViewPU {
    constructor(o52, p52, q52, r52 = -1, s52 = undefined, t52) {
        super(o52, q52, r52, t52);
        if (typeof s52 === "function") {
            this.paramsGenerator_ = s52;
        }
        this.__message = new ObservedPropertySimplePU('Hello World', this, "message");
        this.setInitiallyProvidedValue(p52);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(n52) {
        if (n52.message !== undefined) {
            this.message = n52.message;
        }
    }
    updateStateVars(m52) {
    }
    purgeVariableDependenciesOnElmtId(l52) {
        this.__message.purgeDependencyOnElmtId(l52);
    }
    aboutToBeDeleted() {
        this.__message.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    get message() {
        return this.__message.get();
    }
    set message(k52) {
        this.__message.set(k52);
    }
    initialRender() {
        this.observeComponentCreation2((i52, j52) => {
            Row.create();
            Row.height('100%');
        }, Row);
        this.observeComponentCreation2((g52, h52) => {
            Column.create();
            Column.width('100%');
        }, Column);
        this.observeComponentCreation2((d52, e52) => {
            Text.create(this.message);
            Text.fontSize(50);
            Text.fontWeight(FontWeight.Bold);
            Text.onClick(() => {
            });
        }, Text);
        Text.pop();
        Column.pop();
        Row.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
    static getEntryName() {
        return "Index";
    }
}
registerNamedRoute(() => new Index(undefined, {}), "", { bundleName: "com.aliyun.player.demo_ohos", moduleName: "premierlibrary", pagePath: "__harDefaultPagePath__", pageFullPath: "", integratedHsp: "__harDefaultIntegratedHspType__" });
export {};
